Group management API - DELETE a user group

  • Latest Dynatrace
  • Reference

Deletes a user group.

DELETE

https://api.dynatrace.com/iam/v1/accounts/{accountUuid}/groups/{groupUuid}

Authentication

To execute this request, you need the following scopes assigned to your token.

  • Allow read access for identity resources (users and groups) (account-idm-read)
  • Allow write access for identity resources (users and groups) (account-idm-write)

To learn how to obtain and use a token, see OAuth clients.

Parameters

ParameterTypeDescriptionInRequired
accountUuidstring

The ID of the required account.

You can find the UUID on the Account Management > Identity & access management > OAuth clients page, during creation of an OAuth client.

pathRequired
groupUuidstring

The UUID of the required user group.

pathRequired

Response

Response codes

CodeDescription
200

Success. The group has been deleted. The response doesn't have a body.

Example

In this example, the request deletes the user group created in the POST request example. The response code of 200 indicates that the deletion was successful.

Curl

curl --request DELETE \
--url 'https://api.dynatrace.com/iam/v1/accounts/9ad20784-76c6-4167-bfba-9b0d8d72a71d/groups/a468e0e0-ef8f-45d8-9b0f-e016984d838b' \
--header 'Authorization: Bearer abcdefjhij1234567890'

Request URL

https://api.dynatrace.com/iam/v1/accounts/9ad20784-76c6-4167-bfba-9b0d8d72a71d/groups/a468e0e0-ef8f-45d8-9b0f-e016984d838b

Response code

200